# Interface methods for submodule: GaussianDerivativeOperator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NeighborhoodOperatorProxy as _NeighborhoodOperatorProxy


# Interface methods for class: GaussianDerivativeOperator
class GaussianDerivativeOperatorProxy(_NeighborhoodOperatorProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetNormalizeAcrossScale(self, flag: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def NormalizeAcrossScaleOn(self) -> None:
		""""""
		...

	def NormalizeAcrossScaleOff(self) -> None:
		""""""
		...

	def SetVariance(self, variance: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def SetSpacing(self, spacing: float) -> None:
		""""""
		...

	def GetSpacing(self) -> float:
		""""""
		...

	def SetMaximumError(self, maxerror: float) -> None:
		""""""
		...

	def GetMaximumError(self) -> float:
		""""""
		...

	def SetMaximumKernelWidth(self, n: int) -> None:
		""""""
		...

	def GetMaximumKernelWidth(self) -> int:
		""""""
		...

	def SetOrder(self, order: int) -> None:
		""""""
		...

	def GetOrder(self) -> int:
		""""""
		...

